<?php
$tdataview = array();
$tdataview[".searchableFields"] = array();
$tdataview[".ShortName"] = "view";
$tdataview[".OwnerID"] = "";
$tdataview[".OriginalTable"] = "View";


$tdataview[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataview[".originalPagesByType"] = $tdataview[".pagesByType"];
$tdataview[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataview[".originalPages"] = $tdataview[".pages"];
$tdataview[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataview[".originalDefaultPages"] = $tdataview[".defaultPages"];

//	field labels
$fieldLabelsview = array();
$fieldToolTipsview = array();
$pageTitlesview = array();
$placeHoldersview = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsview["English"] = array();
	$fieldToolTipsview["English"] = array();
	$placeHoldersview["English"] = array();
	$pageTitlesview["English"] = array();
	$fieldLabelsview["English"]["collection_id"] = "Collection Id";
	$fieldToolTipsview["English"]["collection_id"] = "";
	$placeHoldersview["English"]["collection_id"] = "";
	$fieldLabelsview["English"]["loan_id"] = "Loan Id";
	$fieldToolTipsview["English"]["loan_id"] = "";
	$placeHoldersview["English"]["loan_id"] = "";
	$fieldLabelsview["English"]["pay_date"] = "Pay Date";
	$fieldToolTipsview["English"]["pay_date"] = "";
	$placeHoldersview["English"]["pay_date"] = "";
	$fieldLabelsview["English"]["amount"] = "Amount";
	$fieldToolTipsview["English"]["amount"] = "";
	$placeHoldersview["English"]["amount"] = "";
	$fieldLabelsview["English"]["user"] = "User";
	$fieldToolTipsview["English"]["user"] = "";
	$placeHoldersview["English"]["user"] = "";
	$fieldLabelsview["English"]["creat_at"] = "Creat At";
	$fieldToolTipsview["English"]["creat_at"] = "";
	$placeHoldersview["English"]["creat_at"] = "";
	if (count($fieldToolTipsview["English"]))
		$tdataview[".isUseToolTips"] = true;
}


	$tdataview[".NCSearch"] = true;



$tdataview[".shortTableName"] = "view";
$tdataview[".nSecOptions"] = 0;

$tdataview[".mainTableOwnerID"] = "";
$tdataview[".entityType"] = 6;
$tdataview[".connId"] = "easy_cash_at_localhost";


$tdataview[".strOriginalTableName"] = "View";

	



$tdataview[".showAddInPopup"] = false;

$tdataview[".showEditInPopup"] = false;

$tdataview[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataview[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataview[".listAjax"] = false;
//	temporary
$tdataview[".listAjax"] = false;

	$tdataview[".audit"] = false;

	$tdataview[".locking"] = false;


$pages = $tdataview[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataview[".edit"] = true;
	$tdataview[".afterEditAction"] = 1;
	$tdataview[".closePopupAfterEdit"] = 1;
	$tdataview[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataview[".add"] = true;
$tdataview[".afterAddAction"] = 1;
$tdataview[".closePopupAfterAdd"] = 1;
$tdataview[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataview[".list"] = true;
}



$tdataview[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataview[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataview[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataview[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataview[".printFriendly"] = true;
}



$tdataview[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataview[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataview[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataview[".isUseAjaxSuggest"] = true;

$tdataview[".rowHighlite"] = true;



																																																

$tdataview[".ajaxCodeSnippetAdded"] = false;

$tdataview[".buttonsAdded"] = false;

$tdataview[".addPageEvents"] = false;

// use timepicker for search panel
$tdataview[".isUseTimeForSearch"] = false;


$tdataview[".badgeColor"] = "2f4f4f";


$tdataview[".allSearchFields"] = array();
$tdataview[".filterFields"] = array();
$tdataview[".requiredSearchFields"] = array();

$tdataview[".googleLikeFields"] = array();
$tdataview[".googleLikeFields"][] = "collection_id";
$tdataview[".googleLikeFields"][] = "loan_id";
$tdataview[".googleLikeFields"][] = "pay_date";
$tdataview[".googleLikeFields"][] = "amount";
$tdataview[".googleLikeFields"][] = "user";
$tdataview[".googleLikeFields"][] = "creat_at";




$tdataview[".printerPageOrientation"] = 0;
$tdataview[".nPrinterPageScale"] = 100;

$tdataview[".nPrinterSplitRecords"] = 40;

$tdataview[".geocodingEnabled"] = false;










$tdataview[".pageSize"] = 20;

$tdataview[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataview[".strOrderBy"] = $tstrOrderBy;

$tdataview[".orderindexes"] = array();


$tdataview[".sqlHead"] = "";
$tdataview[".sqlFrom"] = "";
$tdataview[".sqlWhereExpr"] = "";
$tdataview[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataview[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataview[".arrGroupsPerPage"] = $arrGPP;

$tdataview[".highlightSearchResults"] = true;

$tableKeysview = array();
$tdataview[".Keys"] = $tableKeysview;


$tdataview[".hideMobileList"] = array();




//	collection_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "collection_id";
	$fdata["GoodName"] = "collection_id";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("View","collection_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "collection_id";

	
		$fdata["FullName"] = "collection_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataview["collection_id"] = $fdata;
		$tdataview[".searchableFields"][] = "collection_id";
//	loan_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "loan_id";
	$fdata["GoodName"] = "loan_id";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("View","loan_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "loan_id";

	
		$fdata["FullName"] = "loan_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataview["loan_id"] = $fdata;
		$tdataview[".searchableFields"][] = "loan_id";
//	pay_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "pay_date";
	$fdata["GoodName"] = "pay_date";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("View","pay_date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "pay_date";

	
		$fdata["FullName"] = "pay_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataview["pay_date"] = $fdata;
		$tdataview[".searchableFields"][] = "pay_date";
//	amount
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "amount";
	$fdata["GoodName"] = "amount";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("View","amount");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "amount";

	
		$fdata["FullName"] = "amount";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataview["amount"] = $fdata;
		$tdataview[".searchableFields"][] = "amount";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("View","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["FullName"] = "user";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataview["user"] = $fdata;
		$tdataview[".searchableFields"][] = "user";
//	creat_at
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "creat_at";
	$fdata["GoodName"] = "creat_at";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("View","creat_at");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "creat_at";

	
		$fdata["FullName"] = "creat_at";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 13;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataview["creat_at"] = $fdata;
		$tdataview[".searchableFields"][] = "creat_at";


$tables_data["View"]=&$tdataview;
$field_labels["View"] = &$fieldLabelsview;
$fieldToolTips["View"] = &$fieldToolTipsview;
$placeHolders["View"] = &$placeHoldersview;
$page_titles["View"] = &$pageTitlesview;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["View"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["View"] = array();



	
				$strOriginalDetailsTable="collection data";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="collection data";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "collection_data";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["View"][0] = $masterParams;
				$masterTablesData["View"][0]["masterKeys"] = array();
	$masterTablesData["View"][0]["masterKeys"][]="pay_date";
				$masterTablesData["View"][0]["masterKeys"][]="user";
				$masterTablesData["View"][0]["detailKeys"] = array();
	$masterTablesData["View"][0]["detailKeys"][]="pay_date";
				$masterTablesData["View"][0]["detailKeys"][]="user";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once( getabspath( "include/view_ops.php" ) );



	
		;

						

$tdataview[".sqlquery"] = $queryData_view;



$tableEvents["View"] = new eventsBase;
$tdataview[".hasEvents"] = false;

?>